<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/img_bg"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:background="@mipmap/img_navigation_bg"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="设置"
            android:textColor="@android:color/white"
            android:textSize="27sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.5"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.5" />

        <LinearLayout
            android:id="@+id/back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="17dp"
            android:background="@drawable/shape_rect_round_5_solid"
            android:gravity="center_vertical"
            android:paddingStart="8dp"
            android:paddingTop="5dp"
            android:paddingEnd="12dp"
            android:paddingBottom="8dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.5">

            <ImageView
                android:layout_width="18dp"
                android:layout_height="16dp"
                android:contentDescription="@null"
                android:scaleType="centerCrop"
                android:src="@mipmap/icon_sys_return" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="12dp"
                android:text="返回"
                android:textColor="@android:color/white"
                android:textSize="10sp"
                tools:ignore="SmallSp" />

        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="20dp">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:background="@android:color/white">

                <TextView
                    android:id="@+id/pathLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginStart="20dp"
                    android:gravity="center_vertical"
                    android:text="串口号"
                    android:textColor="#666666"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/path"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_alignParentEnd="true"
                    android:layout_marginStart="13dp"
                    android:layout_marginEnd="13dp"
                    android:layout_toEndOf="@id/pathLabel"
                    android:drawableEnd="@mipmap/ic_arrow_right"
                    android:drawablePadding="12dp"
                    android:ellipsize="end"
                    android:enabled="true"
                    android:focusable="true"
                    android:gravity="center_vertical|end"
                    android:longClickable="true"
                    android:maxLines="1"
                    android:textColor="#333333"
                    android:textColorHint="#999999"
                    android:textIsSelectable="true"
                    android:textSize="14sp"
                    tools:text="dev/ttyS4" />
            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:background="#DDDDDD" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:background="@android:color/white">

                <TextView
                    android:id="@+id/baudRateLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginStart="20dp"
                    android:gravity="center_vertical"
                    android:text="波特率"
                    android:textColor="#666666"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/baudRate"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_alignParentEnd="true"
                    android:layout_marginStart="13dp"
                    android:layout_marginEnd="13dp"
                    android:layout_toEndOf="@id/baudRateLabel"
                    android:drawableEnd="@mipmap/ic_arrow_right"
                    android:drawablePadding="12dp"
                    android:ellipsize="end"
                    android:enabled="true"
                    android:focusable="true"
                    android:gravity="center_vertical|end"
                    android:longClickable="true"
                    android:maxLines="1"
                    android:textColor="#333333"
                    android:textColorHint="#999999"
                    android:textIsSelectable="true"
                    android:textSize="14sp"
                    tools:text="9600" />
            </RelativeLayout>

            <TextView
                android:id="@+id/confirm"
                android:layout_width="200dp"
                android:layout_height="45dp"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="20dp"
                android:background="@drawable/bg_leave_confirm"
                android:gravity="center"
                android:text="确定"
                android:textColor="@android:color/white"
                android:textSize="16sp" />

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

</LinearLayout>